<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--BEGIN CMVC --%>
<%--***********************************************************************************--%>
<%--                                                                                   --%>
<%--  Workfile: SOACORE/ws/code/cbebrowser/CBEBrowserWeb/jsp/viewer/CBEBrowserMain.jsp, wbi.cbebrowser, WASX.SOACORE                                                                    --%>
<%--  Last update: 06/10/16 04:16:16                                                             --%>
<%--  SCCS path, id: /family/botp/vc/8/4/2/6/s.75 1.5                                                           --%>
<%--                                                                                   --%>
<%--***********************************************************************************--%>
<%--END CMVC --%>
<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2005,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page contentType="text/html;charset=UTF-8" %>

<%@ page import="com.ibm.wbiserver.cbebrowser.CBEBrowserNlsUtilities"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.ICBEBrowserConstants"%>

<!--
** This is the main page that holds all views.  The common parts of all views are:
**  - the banner area at the top of the view containing the banner and the common
**    hyperlinks (get data, logout and help).
**  - the navigation area at the left of the view containing hyperlinks to the various
**    event views (all, bpel processes, user data, and servers).
**  - the view area; what this area contains corresponds to the type of view being shown
** This view jsp is driven by the CBEBrowserEventsServlet modeller and controller.
-->

<HTML>

  <HEAD dir=LTR>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html;CHARSET=UTF-8">        
    <TITLE><%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "TITLE.CBEBROWSERMAIN" )%></TITLE>
  </HEAD>

  <!-- Construct the 3 frames common to every view -->
      
  <!-- Two rows of frames: top is banner row; bottom is navigator and view row -->
  <FRAMESET rows="72,*">
      
    <!-- Top row: banner row -->
    <FRAME
      name="<%=ICBEBrowserConstants.FRAMENAME_BANNER%>"
      frameborder="0"
      marginwidth="0"
      marginheight="0"
      scrolling="no"
      noresize
      title="<%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "FRAMETITLE.BANNER" )%>"
      src="<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_BANNER%>"
    />
          
    <!-- Bottom row: navigator and view row -->
    <FRAMESET cols="16%,*">
      
      <!-- Left column: navigator column -->
      <FRAME
        name="<%=ICBEBrowserConstants.FRAMENAME_NAVIGATOR%>"
        title="<%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "FRAMETITLE.NAVIGATOR" )%>"
        src="<%=request.getContextPath()%><%=ICBEBrowserConstants.JSPNAME_NAVIGATOR%>"
      />
       
      <!-- Right column: view column -->
      <FRAME
        name="<%=ICBEBrowserConstants.FRAMENAME_VIEW%>"
        title="<%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "FRAMETITLE.VIEW" )%>"
        <%
        if ( request.getParameter("sessionId") != null ) 
	{%>
        src="<%=request.getContextPath()%><%=ICBEBrowserConstants.URL_GETEVENTS%>&sessionId=<%=request.getParameter("sessionId")%>"
        <%
	}else{
	%>
        src="<%=request.getContextPath()%><%=ICBEBrowserConstants.URL_GETEVENTS%>"
        <%
        }
        %>

      />
          
    </FRAMESET>     
  <NOFRAMES><%=CBEBrowserNlsUtilities.getNonMessageString( request.getLocale(), "NOFRAMES" )%></NOFRAMES>

</HTML>
 
