<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--BEGIN CMVC --%>
<%--***********************************************************************************--%>
<%--                                                                                   --%>
<%--  Workfile: CORESRVR/ws/code/cbebrowser/CBEBrowserWeb/jsp/viewer/CBEBrowserGetEvents.jsp, wbi.cbebrowser, WBIX.CORESRVR                                                                    --%>
<%--  Last update: 05/03/15 16:49:21                                                             --%>
<%--  SCCS path, id: /family/botp/vc/8/4/2/6/s.78 1.1                                                           --%>
<%--                                                                                   --%>
<%--***********************************************************************************--%>
<%--END CMVC --%>
<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2005,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page contentType="text/html;charset=UTF-8" %>

<%@ taglib uri="/WEB-INF/tld/WCLTagLib.tld" prefix="wcl" %>

<%@ page import="com.ibm.wbiserver.cbebrowser.CBEBrowserNlsUtilities"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.ICBEBrowserConstants"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ceibackend.ICeiInterfaceConstants"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.view.CBEBrowserDataStorePropsBean"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.view.CBEBrowserFilterPropsBean"%>

<!-- Obtain translated strings up front -->
<%
java.util.Locale locale = request.getLocale();
String contextPath = request.getContextPath();
String titleString = CBEBrowserNlsUtilities.getNonMessageString( locale, "TITLE.GETEVENTS" );
String descString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.GETEVENTS" );
String hdgdatastorepropsString = CBEBrowserNlsUtilities.getNonMessageString( locale, "HDG.DATASTOREPROPS" );
String labeldatastoreString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.DATASTORE" );
String descdatastoreString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.DATASTORE" );
String labeleventgroupString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.EVENTGROUP" );
String desceventgroupString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.EVENTGROUP" );
String labelmaxeventsString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.MAXEVENTS" );
String descmaxeventsString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.MAXEVENTS" );
String hdgfilterpropsString = CBEBrowserNlsUtilities.getNonMessageString( locale, "HDG.FILTERPROPS" );
String labelfromdateString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.FROMDATE" );
String descfromdateString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.FROMDATE" );
String labelfromtimeString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.FROMTIME" );
String descfromtimeString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.FROMTIME" );
String labeltodateString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.TODATE" );
String desctodateString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.TODATE" );
String labeltotimeString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.TOTIME" );
String desctotimeString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.TOTIME" );
String descdatetimeString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.DATETIME" );
String labelserverString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.SERVER" );
String descserverString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.SERVER" );
String labelsubcompString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.SUBCOMP" );
String descsubcompString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.SUBCOMP" );
String labelSessionIdString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.SESSIONID" );
String descSessionIdString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.SESSIONID" );
String labelfromprioString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.FROMPRIO" );
String descfromprioString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.FROMPRIO" );
String labeltoprioString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.TOPRIO" );
String desctoprioString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.TOPRIO" );
String descprioString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.PRIO" );
String labelfromsevString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.FROMSEV" );
String descfromsevString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.FROMSEV" );
String labeltosevString = CBEBrowserNlsUtilities.getNonMessageString( locale, "LABEL.FIELD.TOSEV" );
String desctosevString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.TOSEV" );
String descsevString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.FIELD.SEV" );
String fromString = CBEBrowserNlsUtilities.getNonMessageString( locale, "TEXT.FROM" );  
String toString = CBEBrowserNlsUtilities.getNonMessageString( locale, "TEXT.TO" );
String textbuttongeteventsString = CBEBrowserNlsUtilities.getNonMessageString( locale, "TEXT.BUTTON.GETEVENTS" );
String descbuttongeteventsString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.BUTTON.GETEVENTS" );    
String formatdateString = CBEBrowserNlsUtilities.getNonMessageString( locale, "FORMAT.DATE" );  
String formattimeString = CBEBrowserNlsUtilities.getNonMessageString( locale, "FORMAT.TIME" );  
String pleasewaitString = CBEBrowserNlsUtilities.getNonMessageString( locale, "TEXT.PLEASEWAIT" );  
%>

<!-- Obtain latest valid values for the event data store properties and the event filter properties -->
<%
CBEBrowserDataStorePropsBean dataStorePropsBean = (CBEBrowserDataStorePropsBean)session.getAttribute( ICBEBrowserConstants.SESSATTR_DATASTOREPROPSBEAN );
if ( dataStorePropsBean == null ) dataStorePropsBean = new CBEBrowserDataStorePropsBean();
CBEBrowserFilterPropsBean filterPropsBean = (CBEBrowserFilterPropsBean)session.getAttribute( ICBEBrowserConstants.SESSATTR_FILTERPROPSBEAN );
if ( filterPropsBean == null ) filterPropsBean = new CBEBrowserFilterPropsBean();
filterPropsBean.setSessionId(request.getParameter("sessionId"));
%>

<!-- Obtain current get events request in progress state -->
<%
boolean turnOffProgress = false;
Boolean inProgressObj = (Boolean)session.getAttribute( ICBEBrowserConstants.SESSATTR_GETEVENTSTURNOFFPROGRESS );
if ( inProgressObj != null )
{
    session.removeAttribute( ICBEBrowserConstants.SESSATTR_GETEVENTSTURNOFFPROGRESS );
    turnOffProgress = true;
}
%>

<!--
** This is the view page that has variable contents depending on the view selected.
** This view jsp is driven by the CBEBrowserEventsServlet modeller and controller.
-->

<wcl:Foundation
  objectScope="session"
  pageName="<%=ICBEBrowserConstants.PAGENAME_GETEVENTS%>"
  wclFacadeScope="session"
  wclFacadeScopeId="<%=ICBEBrowserConstants.SESSATTR_WCL_FACADE%>">
  
  <HTML>

    <HEAD dir=LTR>
      <LINK HREF="<%=request.getContextPath()%>/resources/css/style.css" REL="stylesheet" type="text/css">  
      <SCRIPT lang="JAVASCRIPT">parent.<%=ICBEBrowserConstants.FRAMENAME_NAVIGATOR%>.location.href = parent.<%=ICBEBrowserConstants.FRAMENAME_NAVIGATOR%>.location.href;</SCRIPT>
      <SCRIPT lang="JAVASCRIPT">
        function enableInProgress()
        {
            document.getElementById( "<%=ICBEBrowserConstants.DIV_GETEVENTS_INPROGRESS%>" ).style.visibility="visible";
        }
        function disableInProgress()
        {
            document.getElementById( "<%=ICBEBrowserConstants.DIV_GETEVENTS_INPROGRESS%>" ).style.visibility="hidden";
        }
      </SCRIPT>
<%
if ( turnOffProgress == true )
{
%>
      <SCRIPT lang="JAVASCRIPT">disableInProgress();</SCRIPT>         
<%
}
%>
    </HEAD>

    <BODY onLoad="document.getElementById('<%=ICBEBrowserConstants.BUTTON_GETEVENTS_GETEVENTS%>').focus()"  dir=LTR>
    
      <wcl:WTitledLayout
        objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_GETEVENTSTITLE%>"
        title="<%=titleString%>"
        description="<%=descString%>"
        componentOrientation="ltr"
        >
        
        <wcl:WMessageBox
          objectScopeId="<%=ICBEBrowserConstants.MSGBOX_ENTRYERRORS%>"
          componentOrientation="ltr"
        />

<%
String dataSource = (String)request.getAttribute("dataSource");
if ( dataSource != null)
{
	%>
	<br>
	<table align=center BORDERCOLOR="#8FA7D7" BGCOLOR=#E7E7F7><tr><td align=center>
	<%=dataSource%>
	</td></tr></table>
	<br>
	<%
}
%>
	
      
        <wcl:WForm
          objectScopeId="<%=ICBEBrowserConstants.FORMNAME_GETEVENTS%>"
          id="<%=ICBEBrowserConstants.FORMNAME_GETEVENTS%>"
          name="<%=ICBEBrowserConstants.FORMNAME_GETEVENTS%>"
          method="POST"
          target="_self"
          componentOrientation="ltr"
          >
          
          <wcl:Validator
            objectScopeId="<%=ICBEBrowserConstants.SESSATTR_GETEVENTSLISTENER%>"
          />
          
          <DIV dir=LTR class="getevents-outerbox-text">
          
            <wcl:WBoxLayout
              objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_GETEVENTS_OUTER%>"
              orientation="vertical"
              width="100%"
              componentOrientation="ltr"
              >
            
              <wcl:WBoxLayoutCell>
            
                <wcl:WBoxLayout
                  objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_GETEVENTS_DATASTOREOUTER%>"
                  orientation="vertical"
                  width="100%"
                  gap="0"
                  componentOrientation="ltr"
                  >
              
                  <wcl:WBoxLayoutCell>

                    <wcl:WContainer
                      objectScopeId="getHolder01"
                      componentOrientation="ltr">
        
                      <DIV dir=LTR class="getevents-title"><%=hdgdatastorepropsString%></DIV>
                          
                    </wcl:WContainer>
                
                  </wcl:WBoxLayoutCell>
              
                  <wcl:WBoxLayoutCell>
              
                    <wcl:WContainer
                      objectScopeId="getHolder02"
                      componentOrientation="ltr"
                      >
        
                      <DIV dir=LTR class="getevents-itemgroup">

                        <wcl:WGridLayout
                          objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_GETEVENTS_DATASTORE%>"
                          width="null"
                          columnCount="5"
                          rowCount="3"
                          gap="5"
                          componentOrientation="ltr"
                          >

                          <wcl:WGridLayoutCell
                            align="left"
                            row="0"
                            column="0"
                            columnSpan="4">
                          
                            <wcl:WComboBox
                              objectScopeId="<%=ICBEBrowserConstants.COMBOBOX_GETEVENTS_DATASTORE%>"
                              id="<%=ICBEBrowserConstants.COMBOBOX_GETEVENTS_DATASTORE%>"
                              name="<%=ICBEBrowserConstants.COMBOBOX_GETEVENTS_DATASTORE%>"
                              textEntrySize="50"
                              textEntryMaxLength="1024"
                              label="<%=labeldatastoreString%>"
                              description="<%=descdatastoreString%>"
                              tabIndex="1"
                              status="required"
                              componentOrientation="ltr"
                              isEditable="true"
                              addOptionText="Input your JNDI name here"
                              listModelScope="session"
                              listModelScopeId="<%=ICBEBrowserConstants.SESSATTR_COMBOBOX_EJB_JNDI_NAME%>">          
                            </wcl:WComboBox>                              
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="0"
                            column="4">
                          
                            <wcl:WContainer objectScopeId="getHolder03"
                             componentOrientation="ltr"><%=descdatastoreString%></wcl:WContainer>
                            
                          </wcl:WGridLayoutCell>
                                                
                          <wcl:WGridLayoutCell
                            align="left"
                            row="1"
                            column="0"
                            columnSpan="4">
                                                      
                            <wcl:WTextEntry
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_EVENTGROUP%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_EVENTGROUP%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_EVENTGROUP%>"
                              size="50"
                              maxLength="1024"
                              label="<%=labeleventgroupString%>"
                              description="<%=desceventgroupString%>"
                              tabIndex="2"
                              status="required"
                              text="<%=dataStorePropsBean.getEventGroup()%>"
                              componentOrientation="ltr">          
                            </wcl:WTextEntry>
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="1"
                            column="4">
                          
                            <wcl:WContainer objectScopeId="getHolder04" componentOrientation="ltr"><%=desceventgroupString%></wcl:WContainer>
                            
                          </wcl:WGridLayoutCell>
                                                
                          <wcl:WGridLayoutCell
                            align="left"
                            row="2"
                            column="0"
                            columnSpan="4">
                          
                            <wcl:WTextEntry
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_MAXEVENTS%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_MAXEVENTS%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_MAXEVENTS%>"
                              size="10"
                              maxLength="10"
                              label="<%=labelmaxeventsString%>"
                              description="<%=descmaxeventsString%>"
                              tabIndex="3"
                              status="required"
                              text="<%=dataStorePropsBean.getMaxEvents()%>"
                              componentOrientation="ltr">
                            </wcl:WTextEntry>
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="2"
                            column="4">
                          
                            <wcl:WContainer objectScopeId="getHolder05" componentOrientation="ltr"><%=descmaxeventsString%></wcl:WContainer>
                            
                          </wcl:WGridLayoutCell>                                                                              
                          
                        </wcl:WGridLayout>
                        
                      </DIV>
                      
                    </wcl:WContainer>
                
                  </wcl:WBoxLayoutCell>
                                    
                </wcl:WBoxLayout>
                
              </wcl:WBoxLayoutCell>
                          
              <wcl:WBoxLayoutCell>
            
                <wcl:WBoxLayout
                  objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_GETEVENTS_FILTEROUTER%>"
                  orientation="vertical"
                  width="100%"
                  gap="0"
                  componentOrientation="ltr"
                  >
              
                  <wcl:WBoxLayoutCell>
              
                    <wcl:WContainer
                      objectScopeId="getHolder06"
                      componentOrientation="ltr">
        
                      <DIV dir=LTR class="getevents-title"><%=hdgfilterpropsString%></DIV>
                          
                    </wcl:WContainer>
                
                  </wcl:WBoxLayoutCell>
              
                  <wcl:WBoxLayoutCell>
              
                    <wcl:WContainer
                      objectScopeId="getHolder07"
                      componentOrientation="ltr"
                      >
        
                      <DIV dir=LTR class="getevents-itemgroup">
              
                        <wcl:WGridLayout
                          objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_GETEVENTS_FILTER%>"
                          width="null"
                          columnCount="5"
                          rowCount="7"
                          gap="5"
                          componentOrientation="ltr"
                          >
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="0"
                            rowSpan="2"
                            column="0">
                          
                            <wcl:WContainer
                                 objectScopeId="getHolder08"
                                 componentOrientation="ltr">
                                 <%=fromString%>
                            </wcl:WContainer>
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="0"
                            column="1">
                              
                            <wcl:WDateChooser
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMDATE%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMDATE%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMDATE%>"
                              size="10"
                              maxLength="12"
                              label="<%=labelfromdateString%>"
                              description="<%=descfromdateString%>"
                              tabIndex="4"
                              dateFormatPattern="<%=formatdateString%>"
                              text="<%=filterPropsBean.getFromDate()%>"
                              componentOrientation="ltr">
                            </wcl:WDateChooser>
                                                                                                        
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="0"
                            rowSpan="2"
                            column="2">
                          
                            <wcl:WContainer
                                 objectScopeId="getHolder09"
                                 componentOrientation="ltr">
                                 <%=toString%>
                            </wcl:WContainer>                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="0"
                            column="3">
                              
                            <wcl:WDateChooser
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TODATE%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TODATE%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TODATE%>"
                              size="10"
                              maxLength="12"
                              label="<%=labeltodateString%>"
                              description="<%=desctodateString%>"
                              tabIndex="6"
                              dateFormatPattern="<%=formatdateString%>"
                              text="<%=filterPropsBean.getToDate()%>"
                              componentOrientation="ltr">
                            </wcl:WDateChooser>                            
                                                                                                        
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="0"
                            rowSpan="2"
                            column="4">
                            <wcl:WContainer
                                 objectScopeId="getHolder10"
                                 componentOrientation="ltr">
                                 <%=descdatetimeString%>
                            </wcl:WContainer>
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="1"
                            column="1">
                            
                            <wcl:WTimeChooser
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMTIME%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMTIME%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMTIME%>"
                              size="10"
                              maxLength="12"                                  
                              label="<%=labelfromtimeString%>"
                              description="<%=descfromtimeString%>"
                              tabIndex="5"
                              showSeconds="false"
                              timeFormatPattern="<%=formattimeString%>"
                              text="<%=filterPropsBean.getFromTime()%>"
                              componentOrientation="ltr">
                            </wcl:WTimeChooser>                              
                                                                                                        
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="1"
                            column="3">
                              
                            <wcl:WTimeChooser
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TOTIME%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TOTIME%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TOTIME%>"
                              size="10"
                              maxLength="12"                                  
                              label="<%=labeltotimeString%>"
                              description="<%=desctotimeString%>"
                              tabIndex="7"
                              showSeconds="false"
                              timeFormatPattern="<%=formattimeString%>"
                              text="<%=filterPropsBean.getToTime()%>"
                              componentOrientation="ltr">
                            </wcl:WTimeChooser>
                                                                                                        
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="2"
                            column="0"
                            columnSpan="4">
                          
                            <wcl:WTextEntry
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_SERVER%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_SERVER%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_SERVER%>"
                              size="50"
                              maxLength="1024"
                              label="<%=labelserverString%>"
                              description="<%=descserverString%>"
                              tabIndex="8"
                              text="<%=filterPropsBean.getServer()%>"
                              componentOrientation="ltr">
                            </wcl:WTextEntry>
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="2"
                            column="4">
                            <wcl:WContainer
                                 objectScopeId="getHolder11"
                                 componentOrientation="ltr">
                                 <%=descserverString%>
                            </wcl:WContainer>
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="3"
                            column="0"
                            columnSpan="4">
                          
                            <wcl:WTextEntry
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_SUBCOMP%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_SUBCOMP%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_SUBCOMP%>"
                              size="50"
                              maxLength="1024"
                              label="<%=labelsubcompString%>"
                              description="<%=descsubcompString%>"
                              tabIndex="9"
                              text="<%=filterPropsBean.getSubComp()%>"
                              componentOrientation="ltr">
                              >          
                            </wcl:WTextEntry>
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="3"
                            column="4">
                            <wcl:WContainer
                                 objectScopeId="getHolder12"
                                 componentOrientation="ltr">
                                 <%=descsubcompString%>
                            </wcl:WContainer>
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="4"
                            column="0">
                          
                            <wcl:WContainer
                                 objectScopeId="getHolder13"
                                 componentOrientation="ltr">
                                 <%=fromString%>
                            </wcl:WContainer>                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="4"
                            column="1">
                              
                            <wcl:WTextEntry
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMPRIO%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMPRIO%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMPRIO%>"
                              size="3"
                              maxLength="3"
                              label="<%=labelfromprioString%>"
                              description="<%=descfromprioString%>"
                              tabIndex="10"
                              text="<%=filterPropsBean.getFromPrio()%>"
                              componentOrientation="ltr">          
                            </wcl:WTextEntry>
                                                                                                        
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="4"
                            column="2">
                          
                            <wcl:WContainer
                                 objectScopeId="getHolder14"
                                 componentOrientation="ltr">
                                 <%=toString%>
                            </wcl:WContainer>                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="4"
                            column="3">
                              
                            <wcl:WTextEntry
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TOPRIO%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TOPRIO%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TOPRIO%>"
                              size="3"
                              maxLength="3"
                              label="<%=labeltoprioString%>"
                              description="<%=desctoprioString%>"
                              tabIndex="11"
                              text="<%=filterPropsBean.getToPrio()%>"
                              componentOrientation="ltr">          
                            </wcl:WTextEntry>
                                                                                                        
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="4"
                            column="4">
                            <wcl:WContainer
                                 objectScopeId="getHolder15"
                                 componentOrientation="ltr">
                                 <%=descprioString%>
                            </wcl:WContainer>
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="5"
                            column="0">
                          
                            <wcl:WContainer
                                 objectScopeId="getHolder16"
                                 componentOrientation="ltr">
                                 <%=fromString%>
                            </wcl:WContainer>                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="5"
                            column="1">
                              
                            <wcl:WTextEntry
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMSEV%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMSEV%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_FROMSEV%>"
                              size="3"
                              maxLength="3"
                              label="<%=labelfromsevString%>"
                              description="<%=descfromsevString%>"
                              tabIndex="12"
                              text="<%=filterPropsBean.getFromSev()%>"
                              componentOrientation="ltr">

                            </wcl:WTextEntry>
                                                                                                        
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="5"
                            column="2">
                          
                            <wcl:WContainer
                                 objectScopeId="getHolder17"
                                 componentOrientation="ltr">
                                 <%=toString%>
                            </wcl:WContainer>                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="5"
                            column="3">
                              
                            <wcl:WTextEntry
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TOSEV%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TOSEV%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_TOSEV%>"
                              size="3"
                              maxLength="3"
                              label="<%=labeltosevString%>"
                              description="<%=desctosevString%>"
                              tabIndex="13"
                              text="<%=filterPropsBean.getToSev()%>"
                              componentOrientation="ltr">
                            </wcl:WTextEntry>
                                                                                                        
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="5"
                            column="4">
                            <wcl:WContainer
                                 objectScopeId="getHolder18"
                                 componentOrientation="ltr">
                                 <%=descsevString%>
                            </wcl:WContainer>
                            
                          </wcl:WGridLayoutCell>                                                    
                          
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="6"
                            column="0"
                            columnSpan="4">
                          
                            <wcl:WTextEntry
                              objectScopeId="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_SESSIONID%>"
                              id="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_SESSIONID%>"
                              name="<%=ICBEBrowserConstants.TEXTENTRY_GETEVENTS_SESSIONID%>"
                              size="50"
                              maxLength="1024"
                              label="<%=labelSessionIdString%>"
                              description="<%=descSessionIdString%>"
                              tabIndex="9"
                              text="<%=filterPropsBean.getSessionId()%>"
                              componentOrientation="ltr">
                            </wcl:WTextEntry>
                            
                          </wcl:WGridLayoutCell>
                      
                          <wcl:WGridLayoutCell
                            align="left"
                            row="6"
                            column="4">
                          
                            <wcl:WContainer objectScopeId="getHolder19"
                             componentOrientation="ltr"><%=descSessionIdString%></wcl:WContainer>
                            
                          </wcl:WGridLayoutCell>
                        </wcl:WGridLayout>
                        
                      </DIV>
                      
                    </wcl:WContainer>
                
                  </wcl:WBoxLayoutCell>
                                    
                </wcl:WBoxLayout>
                
              </wcl:WBoxLayoutCell>
              
              <wcl:WBoxLayoutCell>
              
                <wcl:WContainer
                  objectScopeId="getHolder20"
                  componentOrientation="ltr"
                  >
        
                  <DIV dir=LTR class="getevents-buttongroup">

                    <wcl:WBoxLayout
                      objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_GETEVENTS_BUTTONS%>"
                      orientation="horizontal"
                      width="null"
                      gap="0"
                      componentOrientation="ltr"
                      >
                      
                      <wcl:WBoxLayoutCell>
                                        
                        <wcl:WButton
                          objectScopeId="<%=ICBEBrowserConstants.BUTTON_GETEVENTS_GETEVENTS%>"
                          id="<%=ICBEBrowserConstants.BUTTON_GETEVENTS_GETEVENTS%>"
                          name="<%=ICBEBrowserConstants.BUTTON_GETEVENTS_GETEVENTS%>"
                          tabIndex="14"
                          text="<%=textbuttongeteventsString%>"
                          description="<%=descbuttongeteventsString%>"
                          isSubmit="true"
                          onClick="enableInProgress();return true;">
                          <wcl:CommandListener
                            objectScopeId="<%=ICBEBrowserConstants.SESSATTR_GETEVENTSLISTENER%>"
                            objectScope="session"
                          />
                                                    
                        </wcl:WButton>
              
                      </wcl:WBoxLayoutCell>

                      <wcl:WBoxLayoutCell>
                        <DIV dir=LTR id="<%=ICBEBrowserConstants.DIV_GETEVENTS_INPROGRESS%>" style="visibility: hidden"><IMG src='<%=request.getContextPath()%>/resources/images/appInstall_animated.gif' alt="Please wait" align='left'><%=pleasewaitString%></DIV>
                      </wcl:WBoxLayoutCell>
                      
                    </wcl:WBoxLayout>
                    
                  </DIV>
                  
                </wcl:WContainer>
                
              </wcl:WBoxLayoutCell>
            
            </wcl:WBoxLayout>
            
           </DIV>
          
        </wcl:WForm>
        
       </wcl:WTitledLayout>

    </BODY>

  </HTML> 
  
</wcl:Foundation>
 
